## kdeclarative 5.50.0

=== debian/changelog ===
kdeclarative (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:21 +0100

kdeclarative (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * No change rebuild against Qt 5.10
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:30 +0100

kdeclarative (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:19 +0100

kdeclarative (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:43 +0200

kdeclarative (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * Update symbols from build logs
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:32 +0100

kdeclarative (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake

  [ Manuel A. Fernandez Montecelo ]
  * riscv64: symbols update (Closes: 897649)

  [ Maximiliano Curia ]
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:15 +0200

kdeclarative (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:36 +0100

kdeclarative (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:19 +0100

kdeclarative (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:41 +0100

kdeclarative (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Add new qml package qml-module-org-kde-kcm
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:55 +0100

kdeclarative (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.38.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:22 -0300

kdeclarative (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:52 +0200

kdeclarative (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Set Priority to optional
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:33 +0200

kdeclarative (5.36.0-2) experimental; urgency=medium

  * New revision
  * Build the qch files
  * Add libkf5declarative-doc package for the qch files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Aug 2017 23:14:55 +0200

kdeclarative (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Jonathan Riddell ]
  * add qml-module-org-kde-kconfig package
  * add .install file

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:25 +0200

=== debian/control ===
Source: kdeclarative
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libepoxy-dev,
               libkf5config-dev (>= 5.50.0~),
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5guiaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5itemviews-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5package-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative

Package: kpackagelauncherqml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: commandline tool for launching kpackage QML application
 A small commandline tool to launch KPackages (QML applications).

Package: libkf5calendarevents5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio

Package: libkf5declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the translation files.

Package: libkf5declarative-dev
Architecture: any
Section: libdevel
Depends: libkf5calendarevents5 (= ${binary:Version}),
         libkf5declarative5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.50.0~),
         libkf5package-dev (>= 5.50.0~),
         libkf5quickaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         qtdeclarative5-dev (>= 5.6.1~),
         ${misc:Depends},
Recommends: libkf5declarative-doc (= ${source:Version})
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 Contains development files for kdeclarative.

Package: libkf5declarative-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the qch documentation files.

Package: libkf5declarative5
Architecture: any
Multi-Arch: same
Depends: libkf5declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kpackagelauncherqml
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.

Package: libkf5quickaddons5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks -- quickaddons
 Framework providing optimized image texture caching.

Package: qml-module-org-kde-draganddrop
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0,
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml-module-org-kde-kcm
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-org-kde-kirigami2 (>= 5.47),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kcm
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kconfig
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kconfig
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kcoreaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0,
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE frameworks - kcoreaddons
 Provides access from QML to libkf5coreaddons classes.

Package: qml-module-org-kde-kio
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0,
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE Frameworks - kio
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kquickcontrols
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0,
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
        qtdeclarative5-kf5declarative-5.0,
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kwindowsystem
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kwindowsystem
 Provides access from QML to libkf5windowsystem classes.

Package: qtdeclarative5-kf5declarative
Architecture: all
Section: oldlibs
Priority: optional
Depends: qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Description: transitional package for new QML module packages
 This is a transitional dummy package for the new QML module packages
 provided by kf5declarative, which can be safely removed.

## kdeclarative 5.54.0

=== src/CMakeLists.txt ===
if(KF5Config_FOUND AND KF5I18n_FOUND AND KF5IconThemes_FOUND AND KF5KIO_FOUND)
    add_subdirectory(kdeclarative)
endif()

add_subdirectory(quickaddons)
add_subdirectory(qmlcontrols)
add_subdirectory(kpackagelauncherqml)
add_subdirectory(calendarevents)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Declarative_QCH
        NAME KDeclarative
        BASE_NAME KF5Declarative
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KQuickAddons_QCH_SOURCES}
            ${KDeclarative_QCH_SOURCES}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Qml_QCH
            KF5Config_QCH
            KF5Package_QCH
        BLANK_MACROS
            KDECLARATIVE_EXPORT
            KDECLARATIVE_DEPRECATED
            KDECLARATIVE_DEPRECATED_EXPORT
            QUICKADDONS_EXPORT
            QUICKADDONS_DEPRECATED
            QUICKADDONS_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kdeclarative (5.54.0-1+rpi1) buster-staging; urgency=medium

  [changes brought forward from 5.12.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 19 Jul 2015 02:00:18 +0000]
  * Add symbols file hack for raspbian.

  [changes introduced in version 5.27.0-1+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 25 Jan 2019 23:11:01 +0000

kdeclarative (5.54.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.52.0).
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.54)
  * Release to unstable

  [ Scarlett Gately Moore ]
  * Add missing qml runtime dependency.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:37 -0300

kdeclarative (5.51.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files. (Closes: #916153)
  * Remove trailing whitespaces in changelog.
  * Remove the 'testsuite' autopkgtest, as it does not test the package
    available in the archive.
  * Update lintian overrides.
  * Run the unit tests at build time:
    - add the qml-module-qtquick2, xauth, and xvfb build dependencies
    - run xvfb-run with the proper arguments
    - do not run the tests in parallel, since some of them conflict with each
      other
  * Remove the unused ${shlibs:Depends} substvar from libkf5declarative-data,
    libkf5declarative-doc, and qtdeclarative5-kf5declarative.
  * Drop the transitional qtdeclarative5-kf5declarative, no more needed now.
  * Drop the old breaks/replaces of qtdeclarative5-kf5declarative, and
    qtdeclarative5-kf5declarative-5.0.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 19:09:01 +0100

kdeclarative (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:39 +0100

kdeclarative (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:19 +0200

kdeclarative (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:44 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_build:
	sed -i s/arch=!armel/optional=meh/ debian/libkf5declarative5.symbols
	$(overridden_command)

override_dh_auto_clean:
	$(overridden_command)
	sed -i s/optional=meh/arch=!armel/ debian/libkf5declarative5.symbols

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5declarative5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
endif

## kdeclarative 5.56.0

=== debian/changelog ===
kdeclarative (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:35:01 +0000

kdeclarative (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:30:08 +0000

kdeclarative (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:09 +0000

kdeclarative (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:56 +0000

kdeclarative (5.52.0-0ubuntu2) disco; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 24 Nov 2018 10:52:37 +0000

kdeclarative (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:29 +0000

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
                libepoxy-dev,
-               libkf5config-dev (>= 5.50.0~),
-               libkf5globalaccel-dev (>= 5.50.0~),
-               libkf5guiaddons-dev (>= 5.50.0~),
-               libkf5i18n-dev (>= 5.50.0~),
-               libkf5iconthemes-dev (>= 5.50.0~),
-               libkf5itemviews-dev (>= 5.50.0~),
-               libkf5kio-dev (>= 5.50.0~),
-               libkf5package-dev (>= 5.50.0~),
-               libkf5widgetsaddons-dev (>= 5.50.0~),
-               libkf5windowsystem-dev (>= 5.50.0~),
+               libkf5config-dev (>= 5.56.0~),
+               libkf5globalaccel-dev (>= 5.56.0~),
+               libkf5guiaddons-dev (>= 5.56.0~),
+               libkf5i18n-dev (>= 5.56.0~),
+               libkf5iconthemes-dev (>= 5.56.0~),
+               libkf5itemviews-dev (>= 5.56.0~),
+               libkf5kio-dev (>= 5.56.0~),
+               libkf5package-dev (>= 5.56.0~),
+               libkf5widgetsaddons-dev (>= 5.56.0~),
+               libkf5windowsystem-dev (>= 5.56.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -60,8 +60,8 @@
 Section: libdevel
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.50.0~),
-         libkf5package-dev (>= 5.50.0~),
+         libkf5kio-dev (>= 5.55.0~),
+         libkf5package-dev (>= 5.55.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          qtdeclarative5-dev (>= 5.6.1~),

## kdeclarative 5.62.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.62.0") # handled by release scripts
set(KF5_DEP_VERSION "5.62.0") # handled by release scripts
project(KDeclarative VERSION ${KF5_VERSION})

# Dependencies
include(FeatureSummary)
find_package(ECM 5.62.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.11.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Package ${KF5_DEP_VERSION} REQUIRED)

#########################################################################

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

#add_definitions(-Wno-deprecated)

# Includes

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMAddQch)

option(BUILD_EXAMPLES "Build and install examples." OFF)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


# ECM setup
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDECLARATIVE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfigVersion.cmake"
  SOVERSION 5)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

find_package(epoxy)
set_package_properties(epoxy PROPERTIES DESCRIPTION "libepoxy"
                       URL "http://github.com/anholt/libepoxy"
                       TYPE OPTIONAL
                       PURPOSE "OpenGL dispatch library"
                      )

set(HAVE_EPOXY 0)
if(epoxy_FOUND)
    set(HAVE_EPOXY 1)
endif()
add_definitions(-DQT_NO_FOREACH)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Declarative")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Declarative_QCH
        FILE KF5DeclarativeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5DeclarativeQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5DeclarativeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5DeclarativeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5DeclarativeTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5DeclarativeTargets.cmake
  NAMESPACE KF5::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

if(KF5Config_FOUND AND KF5I18n_FOUND AND KF5IconThemes_FOUND AND KF5KIO_FOUND)
  message("Dependencies for libkdeclarative found: it will be built")
else()
  message("In order to build libkdeclarative you need KF5Config, KF5I18n, KF5IconThemes and KF5KIO")
endif()

if(KF5I18n_FOUND AND KF5WidgetsAddons_FOUND AND KF5WindowSystem_FOUND AND KF5GlobalAccel_FOUND AND KF5KIO_FOUND AND KF5GuiAddons_FOUND)
  message("Dependencies for KQuickControls found: it will be built")
else()
  message("In order to build KQuickControls you need KF5I18n, KF5WidgetsAddons, KF5WindowSystem, KF5GlobalAccel, KF5KIO and KF5GuiAddons")
endif()

if(KF5CoreAddons_FOUND)
  message("Dependencies for KCoreAddons QML bindings found; it will be built")
else()
  message("In order to build KCoreAddons QML bindings you need KCoreAddons")
endif()

=== debian/changelog ===
kdeclarative (5.62.0-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 5.12.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 19 Jul 2015 02:00:18 +0000]
  * Add symbols file hack for raspbian.

  [changes introduced in version 5.27.0-1+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 05 Oct 2019 23:29:35 +0000

kdeclarative (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:57 -0700

kdeclarative (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 932024).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:22 +0100

=== debian/control ===
Source: kdeclarative
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libepoxy-dev,
               libkf5config-dev (>= 5.62.0~),
               libkf5globalaccel-dev (>= 5.62.0~),
               libkf5guiaddons-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5iconthemes-dev (>= 5.62.0~),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.62.0~),
               libkf5package-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libkf5windowsystem-dev (>= 5.62.0~),
               libqt5sql5-sqlite,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qml-module-qtquick2,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtscript5-dev (>= 5.6),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeclarative
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeclarative.git

Package: kpackagelauncherqml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: commandline tool for launching kpackage QML application
 A small commandline tool to launch KPackages (QML applications).
Breaks: kirigami-gallery (<< 5.49)

Package: libkf5calendarevents5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-framework (<< 5.54)
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio

Package: libkf5declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the translation files.

Package: libkf5declarative-dev
Section: libdevel
Architecture: any
Depends: libkf5calendarevents5 (= ${binary:Version}),
         libkf5declarative5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.62.0~),
         libkf5package-dev (>= 5.62.0~),
         libkf5quickaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         qtdeclarative5-dev (>= 5.11.0~),
         ${misc:Depends},
Recommends: libkf5declarative-doc (= ${source:Version})
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 Contains development files for kdeclarative.

Package: libkf5declarative-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5declarative5
Architecture: any
Multi-Arch: same
Depends: libkf5declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.54),
        plasma-framework (<< 5.54),
Recommends: kpackagelauncherqml
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.

Package: libkf5quickaddons5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks -- quickaddons
 Framework providing optimized image texture caching.
Breaks: libkf5kcmutils5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        plasma-framework (<< 5.54),

Package: qml-module-org-kde-draganddrop
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml-module-org-kde-kcm
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-org-kde-kirigami2 (>= 5.54),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kcm
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kconfig
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kconfig
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.
Breaks: plasma-framework (<< 5.54)

Package: qml-module-org-kde-kcoreaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kcoreaddons
 Provides access from QML to libkf5coreaddons classes.

Package: qml-module-org-kde-kio
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kio
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kquickcontrols
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-framework (<< 5.54)
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5purpose-bin (<< 5.54),
        libkf5purpose5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kirigami2 (<< 5.44),
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kwindowsystem
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kwindowsystem
 Provides access from QML to libkf5windowsystem classes.
